Package org.eclipse.microprofile.metrics.tck.metrics

## Class TimedMethodBean1

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.TimedMethodBean1

    @Dependent
    public class TimedMethodBean1
    extends Object

### Constructor Summary

Constructors
`TimedMethodBean1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `selfInvocationTimedMethod()`
`void` `timedMethod()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimedMethodBean1

    public TimedMethodBean1()

### Method Detail

#### timedMethod

    @Timed(name="timedMethod")
    public void timedMethod()
                     throws InterruptedException

Throws:
  `InterruptedException`

#### selfInvocationTimedMethod

    public void selfInvocationTimedMethod()
                                   throws InterruptedException

Throws:
  `InterruptedException`